"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpoilerParser = void 0;
var Spoiler_1 = require("../structures/Spoiler");
var SpoilerParser = /** @class */ (function () {
    function SpoilerParser() {
    }
    SpoilerParser.parseSpoilers = function (str) {
        var regex = /\|\|([^<|]*)\|\|/g;
        var matches = str.match(regex);
        if (!matches)
            return [];
        var spoilers = [];
        for (var _i = 0, matches_1 = matches; _i < matches_1.length; _i++) {
            var match = matches_1[_i];
            var content = this._parseSpoilerContent(match);
            spoilers.push(new Spoiler_1.Spoiler({
                raw: match,
                content: content
            }));
        }
        return spoilers;
    };
    SpoilerParser._parseSpoilerContent = function (str) {
        return str.replace(/\|/g, "");
    };
    return SpoilerParser;
}());
exports.SpoilerParser = SpoilerParser;
